//==================================================
//POV-Ray Materials list
//==================================================
//This file has been created by PoseRay v3.12.0.452
//3D model to POV-Ray/Moray Converter.
//Author: FlyerX
//Email: flyerx_2000@yahoo.com
//Web: http://mysite.verizon.net/sfg0000/
//==================================================
//Files needed to run the POV-Ray scene:
//tutorial4_POV_main.ini (initialization file - open this to render)
//tutorial4_POV_scene.pov (scene setup of cameras, lights and geometry)
//tutorial4_POV_geom.inc (geometry mesh)
//tutorial4_POV_mat.inc (materials)
//Grey-blocks(32).JPG
//TBBright-White.jpg
//Leather(distressed,dark).jpg
//Douglas Fir.jpg
//Kandinsky.jpg
//Marble(white-vein).jpg
//Medium-r(80).jpg
//Ocean Rocks.JPG
//==================================================

//==================================================
// Changes for the CA2POV tutorial:
// + remove colors.inc as we already included it on the main .POV file
// + delete unnecesary sentences (implied defaults)
// + create bump_maps for some materials
// + change the scale on some image maps
// + added turbulence to the marble image map to avoid visible repetition
// + change some finishes, adding variable reflection and corresponding diffuse
// + change some textures to standard ones
// + create new textures for the cabinet and the vase 
// + added conditional ambient on lamp bulbs/cover (when lamps are turned on)
// + cosmetic changes to the exported code for better reading
//
// I didn't change materials that are not visible, and others just looked OK as Poseray
// exported them.
// --
// Jaime Vives Piqueres, 2009.
//==================================================

//==================================================
//Map definitions
#declare p_map1=pigment {image_map{jpeg "Grey-blocks(32).JPG" interpolate 2} }
#declare p_map2=pigment {image_map{jpeg "TBBright-White.jpg" interpolate 2 transmit all 0.17} }
#declare p_map3=pigment {image_map{jpeg "Douglas Fir.jpg" interpolate 2 transmit all 0 filter all 0} }
#declare p_map4=pigment {image_map{jpeg "CowHide(holstein).JPG" interpolate 2 transmit all 0 filter all 0} }
#declare p_map5=pigment {image_map{jpeg "Kandinsky.jpg" interpolate 2} }
#declare p_map6=pigment {image_map{jpeg "Marble(white-vein).jpg" interpolate 2} scale .25 turbulence .5}
#declare p_map7=pigment {image_map{jpeg "Medium-r(80).jpg" interpolate 2} scale 2}
#declare n_map7=normal  {bump_map {jpeg "Medium-r(80).jpg" interpolate 2 bump_size 1} scale 2}
#declare p_map8=pigment {image_map{jpeg "Ocean Rocks.JPG" interpolate 2} }
 
//==================================================
//Material definitions
#declare Black_= 
material{
 texture{ 
  pigment {color rgb <0.0784313725490196,0.0941176470588235,0.105882352941176>} 
  finish{specular 0.8980392 roughness 0.005259534 }
 }
}
//==================================================
#declare Block__Gray_= 
material{
 texture{ 
  pigment{ uv_mapping p_map1} 
  finish{specular 0.8980392 roughness 0.04120575 }
 }
}
//==================================================
#declare Bone_= 
material{
 texture{ 
  pigment {color rgb <1,0.996078431372549,0.956862745098039>} 
 }
}
//==================================================
#declare Bright_White_= 
material{
 texture{ 
  pigment{ uv_mapping p_map2} 
  finish{specular 0.8980392 roughness 0.01724161 
   #if(use_lamps) 
    ambient Cl_Incandescent*Lm_Floor_Lamp 
   #end
  }
 }
}
//==================================================
#declare Framing__90mm_Pi_= 
material{
 texture{ 
  pigment{ uv_mapping p_map3} 
  finish{specular 0.8980392 roughness 0.01724161 }
 }
}
//==================================================
#declare Framing__90mm_St_= 
material{
 texture{ 
  pigment {color rgb <0.92156862745098,0.92156862745098,0.882352941176471>} 
  finish{specular 0.8980392 roughness 0.01724161 }
 }
}
//==================================================
#declare Glass__Bronze_= 
material{
 texture{Glass3}
}
//==================================================
#declare Graphite_= 
material{
 texture{ 
  pigment {color rgb <0.184313725490196,0.188235294117647,0.156862745098039>*.55} 
  finish{specular 0.8980392 roughness 0.01724161 }
 }
}
//==================================================
#declare Holstein_= 
material{
 texture{ 
  pigment{uv_mapping p_map4}
 }
}
//==================================================
#declare Ivory_= 
material{
 texture{ 
  pigment{color rgb <0.858823529411765,0.862745098039216,0.807843137254902>}
  finish{diffuse .9 reflection{0,.2}}
 }
}
//==================================================
#declare Kandinsky_= 
material{
 texture{ 
  pigment{ uv_mapping p_map5} 
  finish{reflection{0,.1}}
 }
}
//==================================================
#declare Lace_= 
material{
 texture{ 
  pigment {color rgb <0.917647058823529,0.905882352941176,0.835294117647059>} 
  finish{diffuse .95 reflection{0,.1}}
 }
}
//==================================================
#declare Lighting__White_= 
material{
 texture{ 
  pigment {color rgb <1,1,1>} 
  #if (use_lamps)
   finish{ambient rgb <1,1,1> diffuse 0}
  #else
   finish{reflection {0,1}}
  #end
 }
}
//==================================================
#declare Marble_white_vei_= 
material{
 texture{ 
  pigment{ uv_mapping p_map6} 
  finish{diffuse .9 reflection{0,.2}}
 }
}
//==================================================
#declare Meadow_Grass_= 
material{
 texture{ 
  pigment {color rgb <0.654901960784314,0.631372549019608,0.427450980392157>} 
  finish{specular 0.8980392 roughness 0.005259534}
 }
}
//==================================================
#declare Medium_= 
material{
 texture{ 
  pigment{ uv_mapping p_map7} 
  normal{ uv_mapping n_map7}
  finish{reflection{0,.1}}
 }
}
//==================================================
#declare Metal__Aluminum_= 
material{
 texture{Aluminum 
  finish{ambient 0} // override predefined texture ambient
 }
}
//==================================================
#declare Metal__Steel__Po_= 
material{
 texture{Polished_Chrome 
  finish{ambient 0} // override predefined texture ambient
 }
}
//==================================================
#declare Ocean_Rocks_= 
material{
 texture{ 
  pigment{ uv_mapping p_map8} 
  finish{ambient 1 diffuse 0} // make the laptop screen emit light
 }
}
//==================================================
#declare Olive_= 
material{
 texture{ 
  pigment {color rgb <0.63921568627451,0.670588235294118,0.388235294117647>} 
  finish{specular 0.8980392 roughness 0.01724161  reflection{0,.5}}
 }
}
//==================================================
#declare Sheet__Plasterbo_= 
material{
 texture{ 
  pigment {White*.95} 
 }
}
//==================================================
#declare Spice_= 
material{
 texture{ 
  pigment {color rgb <0.607843137254902,0.356862745098039,0.254901960784314>} 
  finish{specular 0.8980392 roughness 0.01724161 }
 }
}
//==================================================
#declare White_= 
material{
 texture{ 
  pigment{White}
  finish{reflection{0,.02}}
 }
}
//==================================================
#declare Vase_White_= 
material{
 texture{ 
  pigment{White}
  finish{diffuse .9 reflection{.01,.2}}
 }
}
//==================================================
#declare Cabinet_White_= 
material{
 texture{ 
  pigment{White}
  normal{bumps .1 scale 100} // add some grain
  finish{diffuse .9 reflection{0,.2}}
 }
}
//==================================================
